Mercenary Captain Sophya:
In the northwest part of the Cruma Marshlands, the marsh stakatos are building their power base. In the northeast part, the exiled ol mahum partisans are encampred.
On top of that Enku orcs, tumran bugbears, and delu lizerdmen are waiting for an easy opportunity to plunder the village. Nightly the undead stream out of the Execution Grounds to the east.
It seems we are surrounded by our enemies...
Return